Bug 980286 - When virtual guest machines are migrated with storage logical network is cut ,why virtual guest machines are rebooted ?
When virtual guest machines are migrated with storage logical network is cut ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 21:30 EDT by Yoshinori Takahashi
Modified: 2013-10-01 05:25 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 05:25:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
acathrow: Triaged+


Attachments (Terms of Use)

  None (edit)
Comment 1 Michal Skrivanek 2013-07-03 00:44:54 EDT
we need logs to do anything about it. Engine log and the corresponding vdsm.log from each host
Comment 3 Michal Skrivanek 2013-07-03 01:00:56 EDT
and the vdsm logs from hosts please
also - is/was the guest agent installed in those guests?
Comment 8 Michal Skrivanek 2013-07-04 02:06:19 EDT
Thanks. a bit clearer now. Now libvirt log please:)
so far what seems to be happening:
- VMs started to be migrated away correctly
- They almost finished, but before the end of migration the progress gets stuck
- After 300s we try to abort the migration but libvirt doesn't seem to abort the job
- After another few minutes libvirt reports migration was successful and VMs are resumed on destination
- reboot happens but it doesn't seem to be initiated from vdsm, rather from within the guest. Or the whole migration process got weird - so we need libvirt logs and qemu logs if possible as well
Comment 12 Michal Skrivanek 2013-07-12 06:09:11 EDT
libvirt logs are missing from the time of starting the migration, nevertheless, the qemuMonitorEmitReset suggests the reset happened at QEMU level after ~500ms after the migration finished.

so...either guest triggered that or maybe QEMU logs will help
Comment 18 Michal Skrivanek 2013-08-02 05:16:24 EDT
unfortunately the libvirt log is from a different month.
Can someone please post set of logs from engine,vdsm,libvirt and qemu from the same time from both src and dst sides? I find hard to correlate it from what is attached in the ticket.
Thanks
Comment 19 Lee Yarwood 2013-08-05 12:42:28 EDT
(In reply to Michal Skrivanek from comment #18)
> unfortunately the libvirt log is from a different month.
> Can someone please post set of logs from engine,vdsm,libvirt and qemu from
> the same time from both src and dst sides? I find hard to correlate it from
> what is attached in the ticket.
> Thanks

Yoshinori, can you follow up with the above request from Michal if possible.

Lee

Note You need to log in before you can comment on or make changes to this bug.